# IBM Visualization Data Explorer Programmer's Reference

[ Bottom of Page | Previous Page | Next Page | Table of Contents | Partial Table of Contents | Index ]

### DXNewClipped

Function

Creates a new Clipped Object.

Syntax
`
#include <dx/dx.h>
`

Clipped DXNewClipped(Object render, Object clipping)

Functional Details

Constructs a Clipped Object that instructs the renderer to render the first argument `render` clipped by the second argument `clipping`. That is, all parts of Object `render` that would have been in front of the `clipping` Object are removed at render time.

The `clipping` Object must have only surface data (no volume data); the colors and opacity of the surface are ignored. Nesting of clipping Objects is not supported, and the clipping Object must be convex. Every volume and translucent surface in a scene must have the same clipping Object.

The Object created can be deleted with DXDelete. See 4.2 , "Memory Management".

Return Value

Returns the Clipped Object or returns `NULL` and sets an error code.

See Also

`DXGetClippedInfo, DXSetClippedObjects`

16.6 , "Clipped Class".

[ Top of Page | Previous Page | Next Page | Table of Contents | Partial Table of Contents | Index ]
[Data Explorer Documentation | QuickStart Guide | User's Guide | User's Reference | Programmer's Reference | Installation and Configuration Guide ]

[Data Explorer Home Page | Contact Data Explorer | Same document on Data Explorer Home Page ]

[IBM Home Page | Order | Search | Contact IBM | Legal ]